## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           linode-cli
Version:        5.28.1
Release:        %autorelease
Summary:        Official command-line interface to the Linode platform

License:        BSD
URL:            https://github.com/linode/linode-cli/
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
# Downloaded from https://www.linode.com/docs/api/openapi.yaml
Source1:        openapi.yaml
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Linode CLI is a simple command-line interface to the Linode platform.

%prep
%autosetup
cp -p %SOURCE1 .
# harcode version as script requires connection
sed -i setup.py -e "s/version = get_version()/version='%{version}'/"

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files linodecli
# generate bash-completion
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{buildroot}%{_bindir}/linode-cli bake openapi.yaml --skip-config

# Bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mv linode-cli.sh %{buildroot}%{_datadir}/bash-completion/completions/linode-cli
# baked data
mv data-3 %{buildroot}/%{python3_sitelib}/linodecli/

%files -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/linode-cli
%{_datadir}/bash-completion/
%{python3_sitelib}/linodecli/data-3

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 5.28.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 14 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> 5.28.1-1
- Update linode-cli to 5.28.1 and API spec to 4.142.2

* Mon Sep 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 5.23.0-1
- Update linode-cli to 5.23.0 and API spec to 4.136.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> 5.17.1-2
- Rebuilt for Python 3.11

* Fri Feb 11 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 5.17.1-1
- Update linode-cli to 5.17.1 and API spec to 4.115.0

* Thu Jan 27 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 5.15.0-1
- Update to 5.15.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 07 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 5.12.0-1
- Switch to V4 linode-cli package from old cli archived package
- linode-cli V4 is based in python rather than perl
- Add bash-completion

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-19
- Perl 5.34 rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-16
- Perl 5.32 rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-13
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-10
- Perl 5.28 rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-7
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.4.5-2
- Perl 5.22 rebuild

* Sun Jan 25 2015 Christopher Meng <rpm@cicku.me> - 1.4.5-1
- Update to 1.4.5

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.3.2-3
- Perl 5.20 rebuild

* Thu Jul 31 2014 Christopher Meng <rpm@cicku.me> - 1.3.2-2
- Fix binaries perms to 755
- Add missing BRs.

* Wed May 21 2014 Christopher Meng <rpm@cicku.me> - 1.3.2-1
- Update to 1.3.2

* Tue Jan 28 2014 Christopher Meng <rpm@cicku.me> - 1.0.0-1
- Initial Package.

